## golang-weekly 2011.09.21

=== doc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../src/Make.inc

TARG=tmpltohtml
GOFILES=\
	tmpltohtml.go\

go_tutorial.html: go_tutorial.tmpl tmpltohtml
	makehtml go_tutorial.tmpl

effective_go.html: effective_go.tmpl tmpltohtml
	makehtml effective_go.tmpl


include ../src/Make.cmd

=== src/pkg/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# After editing the DIRS= list or adding imports to any Go files
# in any of those directories, run:
#
#	./deps.bash
#
# to rebuild the dependency information in Make.deps.

include ../Make.inc

all: install

DIRS=\
	archive/tar\
	archive/zip\
	asn1\
	big\
	bufio\
	bytes\
	cmath\
	compress/bzip2\
	compress/flate\
	compress/gzip\
	compress/lzw \
	compress/zlib\
	container/heap\
	container/list\
	container/ring\
	container/vector\
	crypto\
	crypto/aes\
	crypto/blowfish\
	crypto/bcrypt\
	crypto/cast5\
	crypto/cipher\
	crypto/des\
	crypto/dsa\
	crypto/ecdsa\
	crypto/elliptic\
	crypto/hmac\
	crypto/md4\
	crypto/md5\
	crypto/ocsp\
	crypto/openpgp\
	crypto/openpgp/armor\
	crypto/openpgp/elgamal\
	crypto/openpgp/error\
	crypto/openpgp/packet\
	crypto/openpgp/s2k\
	crypto/rand\
	crypto/rc4\
	crypto/ripemd160\
	crypto/rsa\
	crypto/sha1\
	crypto/sha256\
	crypto/sha512\
	crypto/subtle\
	crypto/tls\
	crypto/twofish\
	crypto/x509\
	crypto/x509/pkix\
	crypto/xtea\
	csv\
	debug/dwarf\
	debug/macho\
	debug/elf\
	debug/gosym\
	debug/pe\
	ebnf\
	encoding/ascii85\
	encoding/base32\
	encoding/base64\
	encoding/binary\
	encoding/git85\
	encoding/hex\
	encoding/pem\
	exec\
	exp/datafmt\
	exp/gui\
	exp/gui/x11\
	exp/norm\
	exp/regexp\
	exp/regexp/syntax\
	exp/template/html\
	expvar\
	flag\
	fmt\
	go/ast\
	go/build\
	go/doc\
	go/parser\
	go/printer\
	go/scanner\
	go/token\
	go/typechecker\
	go/types\
	gob\
	hash\
	hash/adler32\
	hash/crc32\
	hash/crc64\
	hash/fnv\
	html\
	http\
	http/cgi\
	http/fcgi\
	http/pprof\
	http/httptest\
	http/spdy\
	image\
	image/bmp\
	image/draw\
	image/gif\
	image/jpeg\
	image/png\
	image/tiff\
	image/ycbcr\
	index/suffixarray\
	io\
	io/ioutil\
	json\
	log\
	mail\
	math\
	mime\
	mime/multipart\
	net\
	net/dict\
	net/textproto\
	netchan\
	old/template\
	os\
	os/signal\
	os/user\
	patch\
	path\
	path/filepath\
	rand\
	reflect\
	regexp\
	rpc\
	rpc/jsonrpc\
	runtime\
	runtime/cgo\
	runtime/debug\
	runtime/pprof\
	scanner\
	smtp\
	sort\
	strconv\
	strings\
	sync\
	sync/atomic\
	syscall\
	syslog\
	tabwriter\
	template\
	template/parse\
	testing\
	testing/iotest\
	testing/quick\
	testing/script\
	time\
	try\
	unicode\
	url\
	utf16\
	utf8\
	websocket\
	xml\
	../cmd/cgo\
	../cmd/ebnflint\
	../cmd/godoc\
	../cmd/gofix\
	../cmd/gofmt\
	../cmd/goinstall\
	../cmd/gotest\
	../cmd/gotype\
	../cmd/govet\
	../cmd/goyacc\
	../cmd/hgpatch\

ifeq ($(GOOS),linux)
DIRS+=\
	os/inotify\

endif

ifeq ($(GOOS),plan9)
NOPLAN9BUILD=\
	os/signal\

DIRS:=$(filter-out $(NOPLAN9BUILD),$(DIRS))
endif

NOTEST+=\
	crypto\
	crypto/openpgp/error\
	crypto/x509/pkix\
	exp/gui\
	exp/gui/x11\
	go/ast\
	go/doc\
	go/token\
	hash\
	http/pprof\
	http/httptest\
	image/bmp\
	image/gif\
	net/dict\
	rand\
	runtime/cgo\
	syscall\
	testing\
	testing/iotest\
	try\
	../cmd/cgo\
	../cmd/ebnflint\
	../cmd/godoc\
	../cmd/gotest\
	../cmd/goyacc\
	../cmd/hgpatch\

NOBENCH+=\
	container/vector\

# Disable tests that windows cannot run yet.
ifeq ($(GOOS),windows)
NOTEST+=os/signal    # no signals
NOTEST+=syslog       # no network
endif

TEST=\
	$(filter-out $(NOTEST),$(DIRS))

BENCH=\
	$(filter-out $(NOBENCH),$(TEST))

clean.dirs: $(addsuffix .clean, $(DIRS))
install.dirs: $(addsuffix .install, $(DIRS))
nuke.dirs: $(addsuffix .nuke, $(DIRS))
test.dirs: $(addsuffix .test, $(TEST))
testshort.dirs: $(addsuffix .testshort, $(TEST))
bench.dirs: $(addsuffix .bench, $(BENCH))

%.clean:
	+$(MAKE) -C $* clean

%.install:
	+@echo install $*
	+@$(MAKE) -C $* install.clean >$*/build.out 2>&1 || (echo INSTALL FAIL $*; cat $*/build.out; exit 1)

%.nuke:
	+$(MAKE) -C $* nuke

%.test:
	+@echo test $*
	+@$(MAKE) -C $* test.clean >$*/test.out 2>&1 || (echo TEST FAIL $*; cat $*/test.out; exit 1)

%.testshort:
	+@echo test $*
	+@$(MAKE) -C $* testshort.clean >$*/test.out 2>&1 || (echo TEST FAIL $*; cat $*/test.out; exit 1)

%.bench:
	+$(MAKE) -C $* bench	

clean: clean.dirs

install: install.dirs

test:	test.dirs

testshort: testshort.dirs

bench:	bench.dirs ../../test/garbage.bench

nuke: nuke.dirs
	rm -rf "$(GOROOT)"/pkg/*

deps:
	./deps.bash

echo-dirs:
	@echo $(DIRS)

-include Make.deps

runtime/cgo.install: ../cmd/cgo.install

=== doc/codelab/wiki/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

all: index.html

include ../../../src/Make.common

CLEANFILES+=index.html srcextract.bin htmlify.bin get.bin

index.html: wiki.html srcextract.bin htmlify.bin
	PATH=.:$$PATH awk '/^!/{system(substr($$0,2)); next} {print}' < wiki.html | tr -d '\r' > index.html

test: get.bin
	bash ./test.sh
	rm -f get.6 get.bin

%.bin: %.$O
	$(LD) -o $@ $<

%.$O: %.go
	$(GC) $*.go

=== misc/cgo/life/Makefile ===
# Copyright 2010 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=life

CGOFILES=\
	life.go\

CGO_OFILES=\
	c-life.o\
	
ifeq ($(GOOS),windows)
ifeq ($(GOARCH),amd64)
CGO_OFILES+=\
	lib64_libmingwex_a-wassert.o\
	lib64_libmingw32_a-mingw_helpers.o\

lib64_libmingwex_a-wassert.o:
	ar -x /mingw/x86_64-w64-mingw32/lib/libmingwex.a lib64_libmingwex_a-wassert.o

lib64_libmingw32_a-mingw_helpers.o:
	ar -x /mingw/x86_64-w64-mingw32/lib/libmingw32.a  lib64_libmingw32_a-mingw_helpers.o
endif
endif

CLEANFILES+=life

include ../../../src/Make.pkg

life: install main.go
	$(GC) main.go
	$(LD) -o $@ main.$O

=== misc/cgo/test/Makefile ===
# Copyright 2011 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=runtime/cgotest

CGOFILES=\
	align.go\
	basic.go\
	callback.go\
	env.go\
	exports.go\
	helpers.go\
	issue1222.go\
	issue1328.go\
	issue1560.go\
	duplicate_symbol.go\

CGO_OFILES=\
	callback_c.o\

OFILES=\
	runtime.$O\

include ../../../src/Make.pkg

=== src/cmd/cov/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc
O:=$(HOST_O)

# The directory is cov because the source is portable and general.
# We call the binary 6cov to avoid confusion and because this binary
# is linked only with amd64 and x86 support.

TARG=6cov
OFILES=\
	main.$O\
	tree.$O\

HFILES=\
	tree.h\

NOINSTALL=1
include ../../Make.ccmd

ifeq ($(GOOS),windows)
NAME=windows
else
NAME=$(shell uname | tr A-Z a-z)
endif

install: install-$(NAME)
install-linux: install-default
install-freebsd: install-default
install-openbsd: install-default
install-windows: install-default

# on Darwin, have to install and setgid; see $GOROOT/src/sudo.bash
install-darwin: $(TARG)
	@true

install-default: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

=== src/cmd/gc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc
O:=$(HOST_O)

LIB=gc.a

HFILES=\
	go.h\
	y.tab.h\
	md5.h\

YFILES=\
	go.y\

OFILES=\
	align.$O\
	bits.$O\
	builtin.$O\
	closure.$O\
	const.$O\
	dcl.$O\
	esc.$O\
	export.$O\
	gen.$O\
	init.$O\
	lex.$O\
	md5.$O\
	mparith1.$O\
	mparith2.$O\
	mparith3.$O\
	obj.$O\
	print.$O\
	range.$O\
	reflect.$O\
	select.$O\
	sinit.$O\
	subr.$O\
	swt.$O\
	typecheck.$O\
	unsafe.$O\
	walk.$O\
	y1.tab.$O\

NOINSTALL=1
include ../../Make.clib

install: $(LIB)

y1.tab.c: y.tab.c	# make yystate global, yytname mutable
	cat y.tab.c | sed '/ int yystate;/d; s/int yychar;/int yychar, yystate;/; s/static const char \*const yytname/const char *yytname/; s/char const \*yymsgp/char *yymsgp/' >y1.tab.c

yerr.h: bisonerrors go.errors y.tab.h	# y.tab.h rule generates y.output too
	awk -f bisonerrors y.output go.errors >yerr.h

subr.$O: yerr.h

builtin.c: builtin.c.boot
	cp builtin.c.boot builtin.c

subr.$O: opnames.h

opnames.h:	mkopnames go.h
	./mkopnames go.h >opnames.h

CLEANFILES+=*.[568] [568].out y1.tab.c yerr.h mkbuiltin1 builtin.c _builtin.c opnames.h

mkbuiltin1: mkbuiltin1.$O
	$(HOST_LD) -o $@ mkbuiltin1.$O -L"$(GOROOT)"/lib -lbio -l9 -lm $(HOST_LDFLAGS)

=== src/cmd/godoc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc

TARG=godoc
GOFILES=\
	codewalk.go\
	dirtrees.go\
	filesystem.go\
	format.go\
	godoc.go\
	httpzip.go\
	index.go\
	main.go\
	mapping.go\
	parser.go\
	snippet.go\
	spec.go\
	throttle.go\
	utils.go\
	zip.go\

include ../../Make.cmd

=== src/cmd/gofix/Makefile ===
# Copyright 2011 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc

TARG=gofix
GOFILES=\
	filepath.go\
	fix.go\
	httpfinalurl.go\
	httpfs.go\
	httpheaders.go\
	httpserver.go\
	imagenew.go\
	main.go\
	netdial.go\
	netudpgroup.go\
	oserrorstring.go\
	osopen.go\
	procattr.go\
	reflect.go\
	signal.go\
	sorthelpers.go\
	sortslice.go\
	stringssplit.go\
	typecheck.go\
	url.go\

include ../../Make.cmd

test:
	gotest

testshort:
	gotest -test.short

=== src/cmd/prof/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc
O:=$(HOST_O)

# The directory is prof because the source is portable and general.
# We call the binary 6prof to avoid confusion and because this binary
# is linked only with amd64 and x86 support.

TARG=6prof
OFILES=\
	main.$O\

NOINSTALL=1
include ../../Make.ccmd

ifeq ($(GOOS),windows)
NAME=windows
else
NAME=$(shell uname | tr A-Z a-z)
endif

install: install-$(NAME) install-pprof
install-linux: install-default
install-freebsd: install-default
install-openbsd: install-default
install-windows: install-default

# on Darwin, have to install and setgid; see $GOROOT/src/sudo.bash
install-darwin: $(TARG)
	@true

install-default: $(TARG)
	cp $(TARG) "$(GOBIN)"/$(TARG)

install-pprof: gopprof
	cp gopprof "$(GOBIN)"/gopprof

=== src/pkg/http/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc

TARG=http
GOFILES=\
	chunked.go\
	client.go\
	cookie.go\
	dump.go\
	filetransport.go\
	fs.go\
	header.go\
	lex.go\
	persist.go\
	request.go\
	response.go\
	reverseproxy.go\
	server.go\
	sniff.go\
	status.go\
	transfer.go\
	transport.go\

include ../../Make.pkg

=== src/pkg/runtime/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc

TARG=runtime

# Set SIZE to 32 or 64.
SIZE_386=32
SIZE_amd64=64
SIZE_arm=32
SIZE=$(SIZE_$(GOARCH))

CFLAGS_windows=-D__WINDOWS__
CFLAGS=-I$(GOOS) -I$(GOARCH) -I$(GOOS)/$(GOARCH) -FVw $(CFLAGS_$(GOARCH)) $(CFLAGS_$(GOOS))

GOFILES=\
	debug.go\
	error.go\
	extern.go\
	mem.go\
	sig.go\
	softfloat64.go\
	type.go\
	version.go\
	version_$(GOOS).go\
	version_$(GOARCH).go\
	runtime_defs.go\

CLEANFILES+=version.go version_*.go

OFILES_windows=\
	callback.$O\
	syscall.$O\

# 386-specific object files
OFILES_386=\
	vlop.$O\
	vlrt.$O\

# arm-specific object files
OFILES_arm=\
	memset.$O\
	softfloat.$O\
	vlop.$O\
	vlrt.$O\

OFILES=\
	asm.$O\
	atomic.$O\
	cgocall.$O\
	chan.$O\
	closure.$O\
	cpuprof.$O\
	float.$O\
	complex.$O\
	hashmap.$O\
	iface.$O\
	malloc.$O\
	mcache.$O\
	mcentral.$O\
	mem.$O\
	memmove.$O\
	mfinal.$O\
	mfixalloc.$O\
	mgc0.$O\
	mheap.$O\
	mprof.$O\
	msize.$O\
	print.$O\
	proc.$O\
	rune.$O\
	runtime.$O\
	runtime1.$O\
	rt0.$O\
	sema.$O\
	signal.$O\
	sigqueue.$O\
	slice.$O\
	string.$O\
	symtab.$O\
	sys.$O\
	thread.$O\
	traceback.$O\
	$(OFILES_$(GOARCH))\
	$(OFILES_$(GOOS))\

HFILES=\
	cgocall.h\
	runtime.h\
	hashmap.h\
	malloc.h\
	stack.h\
	$(GOARCH)/asm.h\
	$(GOOS)/os.h\
	$(GOOS)/signals.h\
	$(GOOS)/$(GOARCH)/defs.h\

GOFILES+=$(GOFILES_$(GOOS))

# For use by cgo.
INSTALLFILES=$(pkgdir)/runtime.h $(pkgdir)/cgocall.h

# special, out of the way compiler flag that means "add runtime metadata to output"
GC+= -+

include ../../Make.pkg

$(pkgdir)/%.h: %.h
	@test -d $(QUOTED_GOROOT)/pkg && mkdir -p $(pkgdir)
	cp $< "$@"

clean: clean-local

clean-local:
	rm -f goc2c mkversion version.go */asm.h runtime.acid.* runtime_defs.go $$(ls *.goc | sed 's/goc$$/c/')

$(GOARCH)/asm.h: mkasmh.sh runtime.acid.$(GOARCH)
	./mkasmh.sh >$@.x
	mv -f $@.x $@

goc2c: goc2c.c
	quietgcc -o $@ -I "$(GOROOT)/include" $< "$(GOROOT)/lib/lib9.a"

mkversion: mkversion.c
	quietgcc -o $@ -I "$(GOROOT)/include" $< "$(GOROOT)/lib/lib9.a"

version.go: mkversion
	GOROOT="$(GOROOT_FINAL)" ./mkversion >version.go

version_$(GOARCH).go:
	(echo 'package runtime'; echo 'const theGoarch = "$(GOARCH)"') >$@

version_$(GOOS).go:
	(echo 'package runtime'; echo 'const theGoos = "$(GOOS)"') >$@

%.c:	%.goc goc2c
	./goc2c "`pwd`/$<" > $@.tmp
	mv -f $@.tmp $@

%.$O:	$(GOARCH)/%.c $(HFILES)
	$(CC) $(CFLAGS) $<

%.$O:	$(GOOS)/%.c $(HFILES)
	$(CC) $(CFLAGS) $<

%.$O:	$(GOOS)/$(GOARCH)/%.c $(HFILES)
	$(CC) $(CFLAGS) $<

%.$O:	$(GOARCH)/%.s $(GOARCH)/asm.h
	$(AS) $<

%.$O:	$(GOOS)/$(GOARCH)/%.s $(GOARCH)/asm.h
	$(AS) $<

# for discovering offsets inside structs when debugging
runtime.acid.$(GOARCH): runtime.h proc.c
	$(CC) $(CFLAGS) -a proc.c >$@

# 386 traceback is really amd64 traceback
ifeq ($(GOARCH),386)
traceback.$O:	amd64/traceback.c
	$(CC) $(CFLAGS) $<
endif

runtime_defs.go: proc.c iface.c hashmap.c chan.c
	CC="$(CC)" CFLAGS="$(CFLAGS)" ./mkgodefs.sh $^ > $@.x
	mv -f $@.x $@

=== debian/changelog ===
golang-weekly (2011.09.21-1) unstable; urgency=low

  * Imported Upstream version 2011.09.21
  * Refresh patches to the new release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Oct 2011 09:38:08 +0200

golang-weekly (2011.09.07-1) unstable; urgency=low

  * New upstream version 2011.09.07
  * Save upstream VERSION to the upstream archive
  * Use GOVERSION as generated by src/version.bash on hg archive time
  * Add support for goinstall dashboard debconf question in the Debian
    packaging (now it needs to Go counterpart)
  * Read goinstall dashboard option from debian configuration file
    (Courtesy of Andrew Gerrand)
  * Update patches to the new release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Sep 2011 12:05:36 +0200

golang-weekly (2011.08.10-1) unstable; urgency=low

  * Imported Upstream version 2011.08.10
  * Refresh patches for new weekly release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Aug 2011 15:08:02 +0200

golang-weekly (2011.07.29-1) unstable; urgency=low

  * Imported Upstream version 2011.07.29

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Aug 2011 17:27:27 +0200

golang-weekly (2011.07.07-1) unstable; urgency=low

  * Imported Upstream version 2011.07.07
  * Update patches to a new weekly release
  * Update version.bash script to get Go version number from Debian
    changelog and not from the hg repository

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Jul 2011 09:51:50 +0200

golang-weekly (2011.06.23-1) unstable; urgency=low

  * Imported Upstream version 2011.06.23
  * Update patches to a new weekly release
  * Don't use goinstall.log at all, upstream has changes and the
    defaultTree variable is not accessible any more

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 17:07:34 +0200

golang-weekly (2011.06.09-2) unstable; urgency=low

  * Add extended description about Go being experimental and that the
    language can change between weekly releases

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Jun 2011 21:50:55 +0200

golang-weekly (2011.06.09-1) unstable; urgency=low

  * Imported Upstream version 2011.06.09
  * Refresh patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2011 11:01:38 +0200

golang-weekly (2011.06.02-1) unstable; urgency=low

  * Imported Upstream version 2011.06.02
  * Fix "the Google's Go implementation" in extended description
    (Closes: #627814)
  * Update Vcs-* links
  * Update patches to a new weekly release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Jun 2011 11:36:57 +0200

golang-weekly (2011.05.22-2) unstable; urgency=low

  * Import slightly modified patch to be more clear about $GOPATH
    installs for non-root users and set correct location of logfile
    for non $GOROOT installs
  * Import patch to not update standard packages from goinstall
  * Remove don't install deps patch from goinstall; deprecated by
    goinstall support for installing to $GOPATH + don't update
    standard packages patch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2011 10:36:32 +0200

golang-weekly (2011.05.22-1) unstable; urgency=low

  * Imported Upstream version 2011.05.22
  * Bump standards version to 3.9.2
  * Refreshed patches for new weekly release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2011 09:47:11 +0200

golang-weekly (2011.04.27-4) unstable; urgency=low

  [ Florian Weimer ]
  * golang-tools: install gofix binary

  [ Ondřej Surý ]
  * Add ${misc:Depends} to golang-weekly meta-package
  * Add lintian-overrides for gofix

 -- Ondřej Surý <ondrej@debian.org>  Sat, 07 May 2011 21:02:33 +0200

golang-weekly (2011.04.27-3) unstable; urgency=low

  * Spin-off golang-weekly to weekly-* branches
  * Rename weekly package to golang-weekly-*
  * Create a new golang-weekly metapackage
  * Add a note about weekly releases to package description
  * Remove kate and vim syntax highlighting from weekly packages

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 May 2011 15:58:53 +0200

golang (1:57-1) unstable; urgency=low

  * Imported Upstream version r57
  * Bumped epoch version to 1, to convert from date based versions
    to release number based version
  * Allow release to migrate to testing (Closes: #624408)
  * Add kate and vim syntax highlighting (Closes: #624544)
  * Add -dbg package with debugging symbols

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 May 2011 01:20:07 +0200

golang (2011.04.27-2) unstable; urgency=low

  * Fix yet another build failure on kfreebsd (use linux userspace)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Apr 2011 16:22:47 +0200

golang (2011.04.27-1) unstable; urgency=low

  * Imported Upstream version 2011.04.27
  * Update debian/rules to allow pulling weekly upstream releases
  * Don't remove RUNPATH from binaries; fixed upstream (golang#1527)
  * Set GOHOSTOS and GOHOSTARCH to match dpkg-architecture variables
  * Add support for kfreebsd-i386, kfreebsd-amd64, armel and armhf
    architectures
    + 006-fix_kfreebsd_build.patch:
      - Add GNU/KFreeBSD support by replacing all uname calls by $(GOOS)
    + 007-use_native_dynamic_linker_on_kfreebsd.patch:
      - Use native kfreebsd dynamic linker (/lib/ld-*.so.1)
  * Add information about available architectures (Closes: #623877)
  * Don't strip gotest
  * Add Depends: golang-go to golang-tools
  * Add better support for armhf

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Apr 2011 16:14:39 +0200

golang (2011.04.13-1) unstable; urgency=low

  [ Florian Weimer ]
  * Delete bin directory in clean target
  * Enable parallel build
  * golang-src: install source files directly
  * Use proper symlink targets for architecture-independent toolchain
    names
  * Emacs mode: indent keys in struct literals properly

  [ Ondřej Surý ]
  * Imported Upstream weekly version 2011.04.13
  * Update patches to new weekly release
  * Add lintian-override for gotest binary

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Apr 2011 09:59:28 +0200

golang (2011.03.07.1-1) unstable; urgency=low

  * Imported Upstream version 2011.03.07.1


=== debian/control ===
Source: golang-weekly
Section: devel
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-google/golang.git
Vcs-Git: git://git.debian.org/pkg-google/golang.git
Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl
Standards-Version: 3.9.2
Homepage: http://golang.org/

Package: golang-weekly-go
Conflicts: golang-go
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: golang-weekly-tools
Provides: go-compiler, golang-go
Description: Experimental Go programming language compiler
 This package provides assembler, compiler and linker for the Go
 programming language.  This is Google's Go implementation of the
 tool chain.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.

Package: golang-weekly-src
Conflicts: golang-src
Provides: golang-src
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, golang-weekly-go
Recommends: golang-weekly-tools
Description: Go programming language compiler (.go source files)
 This package provides the source files for the Go programming
 language needed for godoc and goinstall.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.

Package: golang-weekly-doc
Conflicts: golang-doc
Provides: golang-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for Google's Go programming language
 This package provides the documentation for the Go programming
 language.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 After installing golang-weekly-tools package, you can view a nicely
 formatted documentation by running godoc --http=:6060 and then
 visiting http://localhost:6060/doc/install.html.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.

Package: golang-weekly-tools
Conflicts: golang-tools
Provides: golang-tools
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: golang-weekly-go, ${shlibs:Depends}, ${misc:Depends}
Recommends: golang-weekly-src, golang-weekly-doc
Description: Tools for Google's Go programming language
 This package provides various tools for the Go programming language:
  * godoc - extracts and generates documentation for Go programs
  * gofix - upgrade Go programs to the most recent release
  * gofmt - formats Go programs
  * goinstall - automatic package installation
  * gotry - evaluate expressions on the command line
  * govet - simple checking of Go source code
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.

Package: golang-weekly-dbg
Conflicts: golang-dbg
Provides: golang-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${misc:Depends}, golang-weekly-go (= ${binary:Version})
Recommends: gdb
Section: debug
Priority: extra
Description: Go programming language tool chain [debug]
 This package provides the debug symbols for Google's Go tool
 chain binaries (assembler, compiler, linker) needed for properly
 debugging errors in the tool chain with gdb.
 .
 This package uses the weekly snapshot releases, for more information see:
 http://golang.org/doc/devel/weekly.html

Package: golang-weekly
Depends: ${misc:Depends},
	 golang-weekly-go (>= ${source:Version}),
	 golang-weekly-src (>= ${source:Version}),
	 golang-weekly-tools (>= ${source:Version}),
	 golang-weekly-doc (>= ${source:Version})
Architecture: all
Description: Experimental Go programming language [meta package]
 This package is a metapackage that, when installed, guarantees
 that (almost) full Go development environment is installed.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.

## golang-weekly 2012.01.27

=== doc/Makefile ===
--- 
+++ 
@@ -8,11 +8,17 @@
 GOFILES=\
 	tmpltohtml.go\
 
-go_tutorial.html: go_tutorial.tmpl tmpltohtml
-	makehtml go_tutorial.tmpl
+HTML=\
+	articles/defer_panic_recover.html\
+	articles/error_handling.html\
+	articles/slices_usage_and_internals.html\
+	effective_go.html\
+	go1.html\
+	go_tutorial.html\
 
-effective_go.html: effective_go.tmpl tmpltohtml
-	makehtml effective_go.tmpl
+all: tmpltohtml $(HTML)
 
+%.html: %.tmpl tmpltohtml
+	./makehtml $*.tmpl
 
 include ../src/Make.cmd

=== src/cmd/Makefile ===
# Copyright 2011 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../Make.inc

all: install

# Only build tools for current architecture, and only tools written in C.
# The tools written in Go are managed by ../pkg/Makefile.
DIRS=\
	$(O)a\
	$(O)c\
	$(O)g\
	$(O)l\
	cc\
	cov\
	gc\
	gopack\
	nm\
	prof\
	
# Clean applies to all directories, even for other architectures or 
# written in Go.
CLEANDIRS=\
	$(DIRS)\
	5a\
	5c\
	5g\
	5l\
	6a\
	6c\
	6g\
	6l\
	8a\
	8c\
	8g\
	8l\
	cgo\
	godoc\
	gofix\
	gofmt\
	goinstall\
	gotest\
	goyacc\

install: $(patsubst %,%.install,$(DIRS))
clean: $(patsubst %,%.clean,$(CLEANDIRS))
nuke: $(patsubst %,%.nuke,$(CLEANDIRS))

%.install:
	@echo
	@echo %%%% making $* %%%%
	@echo
	$(MAKE) -C $* install

gc.install 5c.install 6c.install 8c.install: cc.install
$(O)g.install: gc.install
$(O)a.install $(O)c.install $(O)g.install: $(O)l.install

%.clean:
	$(MAKE) -C $* clean

%.nuke:
	$(MAKE) -C $* nuke

echo-dirs:
	@echo $(DIRS)

=== src/lib9/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../Make.inc
O:=$(HOST_O)

LIB=lib9.a

NUM=\
	charstod.$O\
	pow10.$O\

# Could add fmt/errfmt, but we want to pick it up from ./errstr.c instead.
FMTOFILES=\
	dofmt.$O\
	fltfmt.$O\
	fmt.$O\
	fmtfd.$O\
	fmtfdflush.$O\
	fmtlocale.$O\
	fmtlock2.$O\
	fmtnull.$O\
	fmtprint.$O\
	fmtquote.$O\
	fmtrune.$O\
	fmtstr.$O\
	fmtvprint.$O\
	fprint.$O\
	nan64.$O\
	print.$O\
	seprint.$O\
	smprint.$O\
	snprint.$O\
	sprint.$O\
	strtod.$O\
	vfprint.$O\
	vseprint.$O\
	vsmprint.$O\
	vsnprint.$O\
	$(NUM)\

UTFOFILES=\
	rune.$O\
	utfecpy.$O\
	utflen.$O\
	utfnlen.$O\
	utfrrune.$O\
	utfrune.$O\
	utfutf.$O\
	runetype.$O\

LIB9OFILES=\
	_p9dir.$O\
	_exits.$O\
	argv0.$O\
	atoi.$O\
	cleanname.$O\
	create.$O\
	ctime.$O\
	dirfstat.$O\
	dirfwstat.$O\
	dirstat.$O\
	dirwstat.$O\
	dup.$O\
	errstr.$O\
	exec.$O\
	execl.$O\
	exitcode.$O\
	exits.$O\
	getenv.$O\
	getfields.$O\
	getwd.$O\
	goos.$O\
	main.$O\
	nan.$O\
	nulldir.$O\
	open.$O\
	readn.$O\
	seek.$O\
	strecpy.$O\
	sysfatal.$O\
	time.$O\
	tokenize.$O\

ifeq ($(GOHOSTOS),windows)
LIB9OFILES+=\
	win32.$O\

else
LIB9OFILES+=\
	await.$O\
	getuser.$O\
	jmp.$O\
	notify.$O\
	rfork.$O\

endif

OFILES=\
	$(LIB9OFILES)\
	$(FMTOFILES)\
	$(UTFOFILES)\

HFILES=\
	$(QUOTED_GOROOT)/include/u.h\
	$(QUOTED_GOROOT)/include/libc.h\

include ../Make.clib

GOROOT_FINAL?=$(GOROOT)

%.$O: fmt/%.c
	$(HOST_CC) -c $(HOST_CFLAGS) -DPLAN9PORT -Ifmt $<

%.$O: utf/%.c
	$(HOST_CC) -c $(HOST_CFLAGS) $<

goos.$O: goos.c
	GOVERSION=`../version.bash` && \
		$(HOST_CC) -c $(HOST_CFLAGS) -DGOOS='"$(GOOS)"' -DGOARCH='"$(GOARCH)"' -DGOROOT='"$(GOROOT_FINAL)"' -DGOVERSION='"'"$$GOVERSION"'"' $<

=== src/libmach/Makefile ===
# Derived from Inferno libmach/mkfile
# http://code.google.com/p/inferno-os/source/browse/utils/libmach/mkfile
#
#	Copyright © 1994-1999 Lucent Technologies Inc.
#	Power PC support Copyright © 1995-2004 C H Forsyth (forsyth@terzarima.net).
#	Portions Copyright © 1997-1999 Vita Nuova Limited.
#	Portions Copyright © 2000-2007 Vita Nuova Holdings Limited (www.vitanuova.com).
#	Revisions Copyright © 2000-2004 Lucent Technologies Inc. and others.
#	Portions Copyright © 2009 The Go Authors.  All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

include ../Make.inc
O:=$(HOST_O)

LIB=libmach.a
OFILES=\
	executable.$O\
	fakeobj.$O\
	map.$O\
	obj.$O\
	swap.$O\
	sym.$O\
	access.$O\
	machdata.$O\
	setmach.$O\
	5.$O\
	6.$O\
	8.$O\
	5db.$O\
	8db.$O\
	5obj.$O\
	6obj.$O\
	8obj.$O\

ifneq ($(GOHOSTOS),)
OFILES+=\
	$(GOHOSTOS).$O\

else
OFILES+=\
	$(shell uname | tr A-Z a-z).$O\

endif

HFILES=../../include/mach.h elf.h macho.h obj.h

include ../Make.clib

=== src/pkg/Makefile ===
--- 
+++ 
@@ -16,11 +16,8 @@
 DIRS=\
 	archive/tar\
 	archive/zip\
-	asn1\
-	big\
 	bufio\
 	bytes\
-	cmath\
 	compress/bzip2\
 	compress/flate\
 	compress/gzip\
@@ -29,62 +26,51 @@
 	container/heap\
 	container/list\
 	container/ring\
-	container/vector\
 	crypto\
 	crypto/aes\
-	crypto/blowfish\
-	crypto/bcrypt\
-	crypto/cast5\
 	crypto/cipher\
 	crypto/des\
 	crypto/dsa\
 	crypto/ecdsa\
 	crypto/elliptic\
 	crypto/hmac\
-	crypto/md4\
 	crypto/md5\
-	crypto/ocsp\
-	crypto/openpgp\
-	crypto/openpgp/armor\
-	crypto/openpgp/elgamal\
-	crypto/openpgp/error\
-	crypto/openpgp/packet\
-	crypto/openpgp/s2k\
 	crypto/rand\
 	crypto/rc4\
-	crypto/ripemd160\
 	crypto/rsa\
 	crypto/sha1\
 	crypto/sha256\
 	crypto/sha512\
 	crypto/subtle\
 	crypto/tls\
-	crypto/twofish\
 	crypto/x509\
 	crypto/x509/pkix\
-	crypto/xtea\
-	csv\
+	database/sql\
+	database/sql/driver\
 	debug/dwarf\
 	debug/macho\
 	debug/elf\
 	debug/gosym\
 	debug/pe\
-	ebnf\
 	encoding/ascii85\
+	encoding/asn1\
 	encoding/base32\
 	encoding/base64\
 	encoding/binary\
-	encoding/git85\
+	encoding/csv\
+	encoding/gob\
 	encoding/hex\
+	encoding/json\
 	encoding/pem\
-	exec\
-	exp/datafmt\
-	exp/gui\
-	exp/gui/x11\
+	encoding/xml\
+	errors\
+	exp/ebnf\
+	exp/ebnflint\
+	exp/gotype\
+	exp/html\
 	exp/norm\
-	exp/regexp\
-	exp/regexp/syntax\
-	exp/template/html\
+	exp/terminal\
+	exp/types\
 	expvar\
 	flag\
 	fmt\
@@ -95,97 +81,91 @@
 	go/printer\
 	go/scanner\
 	go/token\
-	go/typechecker\
-	go/types\
-	gob\
 	hash\
 	hash/adler32\
 	hash/crc32\
 	hash/crc64\
 	hash/fnv\
 	html\
-	http\
-	http/cgi\
-	http/fcgi\
-	http/pprof\
-	http/httptest\
-	http/spdy\
+	html/template\
 	image\
 	image/bmp\
+	image/color\
 	image/draw\
 	image/gif\
 	image/jpeg\
 	image/png\
 	image/tiff\
-	image/ycbcr\
 	index/suffixarray\
 	io\
 	io/ioutil\
-	json\
 	log\
-	mail\
+	log/syslog\
 	math\
+	math/big\
+	math/cmplx\
+	math/rand\
 	mime\
 	mime/multipart\
 	net\
-	net/dict\
+	net/http\
+	net/http/cgi\
+	net/http/fcgi\
+	net/http/pprof\
+	net/http/httptest\
+	net/http/httputil\
+	net/mail\
+	net/rpc\
+	net/rpc/jsonrpc\
+	net/smtp\
 	net/textproto\
-	netchan\
+	net/url\
+	old/netchan\
+	old/regexp\
 	old/template\
 	os\
+	os/exec\
 	os/signal\
 	os/user\
-	patch\
 	path\
 	path/filepath\
-	rand\
 	reflect\
 	regexp\
-	rpc\
-	rpc/jsonrpc\
+	regexp/syntax\
 	runtime\
 	runtime/cgo\
 	runtime/debug\
 	runtime/pprof\
-	scanner\
-	smtp\
 	sort\
 	strconv\
 	strings\
 	sync\
 	sync/atomic\
 	syscall\
-	syslog\
-	tabwriter\
-	template\
-	template/parse\
 	testing\
 	testing/iotest\
 	testing/quick\
 	testing/script\
+	text/scanner\
+	text/tabwriter\
+	text/template\
+	text/template/parse\
 	time\
-	try\
 	unicode\
-	url\
-	utf16\
-	utf8\
-	websocket\
-	xml\
+	unicode/utf16\
+	unicode/utf8\
 	../cmd/cgo\
-	../cmd/ebnflint\
 	../cmd/godoc\
 	../cmd/gofix\
 	../cmd/gofmt\
 	../cmd/goinstall\
 	../cmd/gotest\
-	../cmd/gotype\
 	../cmd/govet\
 	../cmd/goyacc\
-	../cmd/hgpatch\
 
 ifeq ($(GOOS),linux)
 DIRS+=\
-	os/inotify\
+	exp/inotify\
 
 endif
 
@@ -198,34 +178,25 @@
 
 NOTEST+=\
 	crypto\
-	crypto/openpgp/error\
+	crypto/openpgp/errors\
 	crypto/x509/pkix\
-	exp/gui\
-	exp/gui/x11\
-	go/ast\
+	exp/ebnflint\
 	go/doc\
-	go/token\
 	hash\
-	http/pprof\
-	http/httptest\
 	image/bmp\
 	image/gif\
-	net/dict\
-	rand\
+	net/http/pprof\
+	net/http/httptest\
 	runtime/cgo\
 	syscall\
 	testing\
 	testing/iotest\
-	try\
 	../cmd/cgo\
-	../cmd/ebnflint\
 	../cmd/godoc\
 	../cmd/gotest\
 	../cmd/goyacc\
-	../cmd/hgpatch\
 
 NOBENCH+=\
-	container/vector\
 
 # Disable tests that windows cannot run yet.
 ifeq ($(GOOS),windows)
@@ -238,6 +209,9 @@
 
 BENCH=\
 	$(filter-out $(NOBENCH),$(TEST))
+
+CRAP:
+	echo $(DIRS)
 
 clean.dirs: $(addsuffix .clean, $(DIRS))
 install.dirs: $(addsuffix .install, $(DIRS))

=== doc/codelab/wiki/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 include ../../../src/Make.common
 
-CLEANFILES+=index.html srcextract.bin htmlify.bin get.bin
+CLEANFILES+=srcextract.bin htmlify.bin get.bin
 
 index.html: wiki.html srcextract.bin htmlify.bin
 	PATH=.:$$PATH awk '/^!/{system(substr($$0,2)); next} {print}' < wiki.html | tr -d '\r' > index.html
@@ -21,5 +21,5 @@
 	$(LD) -o $@ $<
 
 %.$O: %.go
-	$(GC) $*.go
+	$(GC) $(GCFLAGS) $(GCIMPORTS) $*.go

=== misc/cgo/gmp/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=gmp

# Can have plain GOFILES too, but this example doesn't.

CGOFILES=\
	gmp.go

CGO_LDFLAGS=-lgmp

# To add flags necessary for locating the library or its include files,
# set CGO_CFLAGS or CGO_LDFLAGS.  For example, to use an
# alternate installation of the library:
#	CGO_CFLAGS=-I/home/rsc/gmp32/include
#	CGO_LDFLAGS+=-L/home/rsc/gmp32/lib
# Note the += on the second line.

CLEANFILES+=pi fib

include ../../../src/Make.pkg

# Simple test programs

# Computes 1000 digits of pi; single-threaded.
pi: install pi.go
	$(GC) $(GCFLAGS) $(GCIMPORTS) pi.go
	$(LD) -o $@ pi.$O

# Computes 200 Fibonacci numbers; multi-threaded.
fib: install fib.go
	$(GC) $(GCFLAGS) $(GCIMPORTS) fib.go
	$(LD) -o $@ fib.$O

=== misc/cgo/life/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 CGO_OFILES=\
 	c-life.o\
-	
+
 ifeq ($(GOOS),windows)
 ifeq ($(GOARCH),amd64)
 CGO_OFILES+=\
@@ -31,5 +31,5 @@
 include ../../../src/Make.pkg
 
 life: install main.go
-	$(GC) main.go
+	$(GC) $(GCFLAGS) $(GCIMPORTS) main.go
 	$(LD) -o $@ main.$O

=== misc/cgo/stdio/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=stdio
CGOFILES=\
	file.go\

CLEANFILES+=hello fib chain run.out

include ../../../src/Make.pkg

%: install %.go
	$(GC) $(GCFLAGS) $(GCIMPORTS) $*.go
	$(LD) -o $@ $*.$O

=== misc/cgo/test/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	issue1222.go\
 	issue1328.go\
 	issue1560.go\
+	issue2462.go\
 	duplicate_symbol.go\
 
 CGO_OFILES=\
@@ -24,4 +25,21 @@
 OFILES=\
 	runtime.$O\
 
+ifeq ($(GOOS),windows)
+GCCVERSION=$(shell gcc -dumpversion)
+ifeq ($(GOARCH),386)
+GCCLIBDIR=/mingw/lib/gcc/mingw32/$(GCCVERSION)
+CHKSTK=_chkstk.o
+else
+GCCLIBDIR=/mingw/lib/gcc/x86_64-w64-mingw32/$(GCCVERSION)
+CHKSTK=_chkstk_ms.o
+endif
+
+CGOFILES+=sleep_windows.go
+CGO_OFILES+=$(CHKSTK)
+
+$(CHKSTK):
+	ar -x "$(GCCLIBDIR)/libgcc.a" $@
+endif
+
 include ../../../src/Make.pkg

=== misc/cgo/testso/Makefile ===
# Copyright 2011 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=cgosotest

CGO_DEPS+=libcgoso.so
CGO_LDFLAGS+=-lcgoso -L.
CLEANFILES+=out libcgoso.so
CGOFILES=\
	cgoso.go\

include ../../../src/Make.pkg

libcgoso.so: cgoso_c.c
	gcc cgoso_c.c -fPIC -o $@ $(_CGO_CFLAGS_$(GOARCH)) $(_CGO_LDFLAGS_$(GOOS))

out: install main.go
	$(GC) $(GCFLAGS) $(GCIMPORTS) main.go
	$(LD) -o $@ main.$O

=== misc/swig/callback/Makefile ===
# Copyright 2011 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=swig/callback
SWIGFILES=\
	callback.swigcxx

CLEANFILES+=run

include ../../../src/Make.pkg

%: install %.go
	$(GC) $(GCFLAGS) $(GCIMPORTS) $*.go
	$(LD) $(SWIG_RPATH) -o $@ $*.$O

=== debian/changelog ===
golang-weekly (2012.01.27-2) unstable; urgency=low

  * Don't double install ebnflint (Closes: #658062)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 Jan 2012 09:01:37 +0100

golang-weekly (2012.01.27-1) unstable; urgency=low

  * Imported Upstream version 2012.01.27 (Closes: #656412)
  * Fix cut&paste error in golang-weekly-tools description
    (Closes: #655117)
  * Refresh patches for a new release
  * Use new syntax in IPv6 patch
  * Install new tools and remove the removed
  * debconf-gettextize the package
  * Add new lintian overrides for new tools

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jan 2012 16:19:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-google/golang.git
 Vcs-Git: git://git.debian.org/pkg-google/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl
+Build-Depends-Indep: po-debconf
 Standards-Version: 3.9.2
 Homepage: http://golang.org/

=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

PACKAGE = golang-weekly

libexecdir := /usr/lib/go
datadir := /usr/share/go
bindir := /bin

build clean install binary-arch binary-indep binary:
	+dh --parallel $(opt_no_act) $@

override_dh_auto_clean:
	rm -rf bin
	rm -f debian/*+
	rm -f debian/build.stamp
	: NEEDSWORK: update src/pkg/Makefile.
	#cd src/pkg && $(GOBIN)/gomake exp/ogle.clean
	rm -f src/pkg/Make.deps
	rm -f test/pass.out test/run.out test/times.out

override_dh_auto_build: debian/build.stamp

override_dh_auto_test:
	:
#	$(no_check) || { cd src && bash ./run.bash --no-rebuild; }

override_dh_compress:
	dh_compress -Xusr/share/doc/$(PACKAGE)-doc/html -Xusr/share/doc/$(PACKAGE)-doc/godoc

override_dh_install:
	dh_install --fail-missing
	for f in $$(find src/cmd -name doc.go ; find src/pkg -name \*.go); do \
	  install -D -m 0644 $$f debian/$(PACKAGE)-src/$(datadir)/$$f; \
	done
	make -f debian/native-symlinks.mk PACKAGE=$(PACKAGE)

override_dh_strip:
	dh_strip -X".a" -Xgoinstall -Xgodoc -Xgoyacc -Xbin/cgo -Xebnflint -Xgofix -Xgofmt -Xgovet -Xgotest --dbg-package=$(PACKAGE)-dbg

debian/build.stamp:
	rm -f debian/build.stamp
	mkdir -p $(GOBIN)
	+cd src && bash ./make.bash
	>debian/build.stamp

opt_no_act =
no_check = ! :

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    $(warning no support for disabling optimization)
endif

ifneq (,$(findstring n,$(MAKEFLAGS)))
    opt_no_act = --no-act
endif

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    no_check = :
endif

GOROOT := $(CURDIR)
GOROOT_FINAL := $(libexecdir)
GOBIN := $(CURDIR)$(bindir)
GOARM :=

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
DEB_BUILD_ARCH_CPU := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)

ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
    GOHOSTOS := freebsd
else ifeq ($(DEB_BUILD_ARCH_OS), linux)
    GOHOSTOS := linux
else
    $(error unrecongized build host kernel $(DEB_BUILD_ARCH_OS)!)
endif

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    GOOS := freebsd
else ifeq ($(DEB_HOST_ARCH_OS), linux)
    GOOS := linux
else
    $(error unrecognized kernel $(DEB_HOST_ARCH_OS)!)
endif

ifeq ($(DEB_BUILD_ARCH_CPU), i386)
    GOHOSTARCH := 386
else ifeq ($(DEB_BUILD_ARCH_CPU), amd64)
    GOHOSTARCH := amd64
else ifeq ($(DEB_BUILD_ARCH_CPU), arm)
    GOHOSTARCH := arm
else ifeq ($(DEB_BUILD_ARCH_CPU), armhf)
    GOHOSTARCH := arm
else
    $(error unrecognized build host instruction set $(DEB_HOST_ARCH_CPU)!)
endif

ifeq ($(DEB_HOST_ARCH_CPU), i386)
    GOARCH := 386
    GOPREFIX := 8
else ifeq ($(DEB_HOST_ARCH_CPU), amd64)
    GOARCH := amd64
    GOPREFIX := 6
else ifeq ($(DEB_HOST_ARCH_CPU), arm)
    GOARCH := arm
    GOPREFIX := 5
ifeq ($(DEB_HOST_ARCH), armel)
    GOARM := 5
else ifeq ($(DEB_HOST_ARCH), armhf)
    GOARM := 6
else
    $(error unrecognized arm architecture $(DEB_HOST_ARCH)!)
endif
else
    $(error unrecognized instruction set $(DEB_HOST_ARCH_CPU)!)
endif

export GOROOT GOROOT_FINAL GOOS GOARCH GOARM GOBIN GOHOSTARCH GOHOSTOS

REPO = https://go.googlecode.com/hg/
GOLANG_ORIG_DIR = $(CURDIR)/../go-weekly
get-orig-source:
	-set -e; \
	if [ ! -d $(GOLANG_ORIG_DIR) ]; then \
		hg clone -r"weekly" "$(REPO)" "$(GOLANG_ORIG_DIR)"; \
	fi
	cd "$(GOLANG_ORIG_DIR)"; \
	hg pull; \
	hg update "weekly"; \
	VERSION=$$(hg identify -t -r"weekly" | perl -e '<> =~ /weekly\.(\d+)-(\d+)-(\d+)([\.\d]*)/; print "$$1.$$2.$$3$$4"'); \
	rm -rf "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
	hg archive -tfiles -r"weekly" -X'.hg*' -X'doc/talks/go_talk-20091030.pdf' "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
	src/version.bash -save; \
	cp VERSION "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
	cd ..; \
	tar -czf "$(CURDIR)/../$(PACKAGE)_$$VERSION.orig.tar.gz" "$(PACKAGE)-$$VERSION/"; \
	rm -rf "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
	echo "Now run git-import-orig $(CURDIR)/../$(PACKAGE)_$$VERSION.orig.tar.gz"

.PHONY: build clean install binary-arch binary-indep binary
